## Version 1.9.0

### Feature

#### account
- Delete field RecursiveDelete in DeleteUserRequest in cloudapi/account and cloudbroker/account
- Add field UniqPools in UpdateRequest in cloudapi/account
- Add field ClearUniqPools in UpdateRequest in cloudbroker/account
- Add field SortBy in listFlipGroups in cloudapi/account
- Change Ratio field from required to optional in SetCPUAllocationRatioRequest in cloudbroker/compute

#### audit
- Add endpoint Get in cloudapi/audit
- Add endpoint ExportAuditsToFile in cloudbroker/audit
- Delete field Apitask in model RecordAudit in cloudbroker/audit

#### compute
- Add support DPDK network net type in NetAttach endpoints in cloudapi/compute and cloudbroker/compute
- Add field Force in CloneRequest in cloudapi/compute and cloudbroker/compute
- Change TargetStackID field from required to optional (add default 0 value) in PinToStackRequest in cloudbroker/compute
- Change return value type from bool to string in SnapshotDelete in cloudbroker/compute and cloudapi/compute
- Add field StatusCheck in MigrateStorageAbortRequest in cloudbroker/compute
- Add function SnapshotDeleteAsync in cloudapi/compute and cloudbroker/compute
- Add field StackID in ListRequest in cloudbroker/compute
- Add field NodeID in model RecordCompute in cloudbroker/compute
- Add function SetNetConfig in cloudbroker/compute
- Add field MTU in model RecordNetAttach in cloudapi/compute and cloudbroker/compute
- Change Mode field from required to optional in DiskMigrateRequest in cloudapi/compute
- Add field Chipset in model RecordCompute in cloudapi/compute and cloudbroker/compute
- Add field BusNumber in model RecordCompute, ItemComputeDisk, ItemDisk, InfoDisk in cloudapi/compute and cloudbroker/compute
- Add field ImageID in ListRequest in cloudbroker/compute
- Change Mode field from required to optional in DiskMigrateRequest in cloudbroker/compute
- Add field Chipset in ListRequest in cloudbroker/compute
- Add endpoints ChangeIP in cloudapi/compute and cloudbroker/compute

#### disks
- Change drivers field from optional to required in FromPlatformDiskRequest in cloudapi/disks, cloudbroker/disks

#### dpdknet
- Add endpoints List, Get in cloudapi/dpdk
- Add endpoints Create, Delete, Disable Enable, Get, List, Update in cloudbroker/dpdk

#### extnet
- Change StackId field from required to optional in DeviceMigrateRequest in cloudbroker/extnet

#### flipgroup
- Change ClientIDs field from []uint64 to []string in ListRequest, cloudapi/flipgroup

#### grid
- Change PasswordLength field from required to optional (add default 9 value) in SetPasswordPolicyRequest in cloudbroker/grid
- Set Default value (true) in fields Digits and Uppercase in SetPasswordPolicyRequest in cloudbroker/grid
- Add fields ckey, meta in model RecordGrid in cloudbroker/grid
- Change GID field from uint64 to string in ExecuteMaintenanceScriptRequest in cloudbroker/grid
- Add endpoints GetSettings and GetSettingsRaw in cloudbroker/grid

#### group
- Change StackId field from uint64 to string in ListRequest in cloudbroker/group

#### image:
- Change Drivers field from required to optional in CreateCDROMImageRequest in cloudbroker/image
- Add field Enabled in ListRequest in cloudapi/image and cloudbroker/image
- Delete field GID in SyncCreateRequest in cloudbroker/image
- Delete field Permanently in DeleteRequest in cloudapi/image and cloudbroker/image
- Delete field Permanently in DeleteImagesRequest in cloudbroker/image

#### k8s
- Add fields HighlyAvailableLB, AddressVip, ExtnetOnly, WithLB in model RecordK8S in cloudbroker/k8s and cloudapi/k8s
- Change MasterIds field from a slice of string to a slice of integers in DeleteMasterFromGroupRequest in cloudbroker/k8s and cloudapi/k8s
- Add field Chipset in WorkerAddRequest, WorkersGroupAddRequest in cloudapi/k8s, cloudbroker/k8s
- Add field Chipset in CreateRequest in cloudapi/k8s, cloudbroker/k8s

#### kvmx86
- Add support DPDK network interface in Create endpoints in cloudapi/kvmx86 and cloudbroker/kvmx8
- Add field Chipset in CreateRequest, CreateBlankRequest, MassCreateRequest, CreateBlankRequest in cloudapi/kvmx86 and cloudbroker/kvmx86
- Add function MassCreateAsync in cloudbroker/kvmx86

#### lb
- Change ExtNetID field from uint64 to int64 in CreateRequest, ItemLBList, RecordLB in cloudapi/lb, cloudbroker/lb
- Change ExtNetID, VINSID fields from required to optional in CreateRequest in cloudapi/lb

#### node
- Add field Force in EnableRequest in cloudbroker/node
- Add function EnableAsync in cloudbroker/node

#### rg
- Add endpoints removeDefNet in cloudapi/rg and cloudbroker/rg
- Add field ClearUniqPools in UpdateRequest in cloudbroker/rg and cloudapi/rg
- Add field UniqPools in UpdateRequest in cloudapi/rg
- Delete field IPCIDR in CreateRequest in cloudbroker/rg

#### sep
- Add endpoints SharedLockStart and SharedLockStop in cloudbroker/sep

#### user
- Add field GUID in models ItemAudit in cloudapi/user and cloudbroker/user
- Add fields MaxStatusCode and MinStatusCode in GetAuditRequest in cloudapi/user

#### vins
- Add field Computes in model ListVINS in cloudbroker/vins
- Add fields VNFDevId in ListRequest in cloudapi/vins and in ListDeletedRequest in cloudbroker/vins
- Add field MTU, LibvirtSettings in model ItemInterface in cloudapi/vins and cloudbroker/vins
- Add field BusNumber in model ItemInterface in cloudapi/vins and cloudbroker/vins

### Removed

#### common
- The reason field has been deleted everywhere

#### accounts
- The GetConsumption function was removed in cloudapi/account

#### grid
- The CheckVMs function was removed in cloudbroker/grid
- The CreateSystemSpace function was removed in cloudbroker/grid

#### image
- The Permanently field has been removed from DeleteCDROMImageRequest in cloudbroker/image

#### kvmppc
- The group has been completely deleted

#### sizes
- The group has been completely deleted

#### user
- The StatusCode field has been deleted from GetAuditRequest in cloudapi/user

### Bugfix

#### backup
- Fixed RestoreDisksFromBackupRequest in cloudbroker/backup
